Bug 428736 - HWCERT: HP ProLiant DL180 G5
HWCERT: HP ProLiant DL180 G5
Status: CLOSED WONTFIX
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: dumpster (Show other bugs)
1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Xu Bo
David Aquilina
http://no_URL_yet.Unannouced.
ProLiant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 16:14 EST by Gregory Feiner
Modified: 2014-06-23 20:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-22 12:05:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
results RH5U1 64bit (602.25 KB, application/x-redhat-package-manager)
2008-01-14 16:14 EST, Gregory Feiner
no flags Details
Quick Specs document (283.52 KB, application/pdf)
2008-01-14 16:16 EST, Gregory Feiner
no flags Details
32bit test results (494.25 KB, application/octet-stream)
2008-01-14 16:19 EST, Gregory Feiner
no flags Details
RHEL 5 32bit native SATA mode (486.68 KB, application/octet-stream)
2008-01-28 15:38 EST, Gregory Feiner
no flags Details
RHEL 5 64bit native SATA mode (589.47 KB, application/octet-stream)
2008-01-28 15:39 EST, Gregory Feiner
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Legacy) 12177 None None None Never

  None (edit)
Description Gregory Feiner 2008-01-14 16:14:31 EST
Red Hat Hardware Certification Submitted

Product:	Red Hat Enterprise Linux
Version:	5
Make:		unknown
Model:		ProLiant DL180 G5
Vendor: 	Hewlett Packard
Category:	Server
Reporter:	gregory.feiner@hp.com

Created an attachment (id=291633)
hts-HP-ProLiant_DL180_G5-Tikanga_x86_64_results-1.noarch.rpm 

Kernel Version: kernel-xen-2.6.18-53.el5

Results:
-----------------

0   PASSED   USB
    PASSED   INFO
    PASSED   VIDEO
    PASSED   STORAGE
    PASSED   NETWORK
    PASSED   MEMORY
    PASSED   CORE
    PASSED   CDROM
Comment 1 Gregory Feiner 2008-01-14 16:15:16 EST
This server does not announce until 2-11-2008
Comment 2 Gregory Feiner 2008-01-14 16:16:00 EST
Created attachment 291634 [details]
Quick Specs document
Comment 3 Gregory Feiner 2008-01-14 16:19:17 EST
Created attachment 291636 [details]
32bit test results

Kernel Version: kernel-xen-2.6.18-53.el5

Results:
----------------
0   PASSED   USB
    PASSED   INFO
    PASSED   VIDEO
    PASSED   STORAGE
    PASSED   NETWORK
    PASSED   MEMORY
    PASSED   CORE
    PASSED   CDROM
Comment 4 Xu Bo 2008-01-14 20:54:21 EST
Gregory,
The specs does not mention the VIDEO card in the first 3 steps. Seems you got
the VIDEO test run with a MGA G200E. IIRC, it's the embedded video card. I think
it is the CTO device, so would you please add it into the specs?

Also, please confirm whether the DVD+/-RW (optional) is the CTO device or not.
If it is not, I will remove it from the test plan.

Thanks,
/Xu
Comment 5 Xu Bo 2008-01-14 23:58:19 EST
Gregory,

Couple of things:

USB: The specs says the box has 7 usb ports (2 front, 4 rear, 1 optinoal
internal). Seems you got the USB test run with 8 ports. Please confirm whether
there is a typo in the spec about the USB ports or not.

STORAGE: Please confirm whether the "GB0750C4414" was connected to the embedded
SATA controller? Seems the system detected it as an IDE devices. I presume this
box only support the legacy mode, customer can't use the native mode, right?

Besides, about all the other test results required, please refer to the test Plan.

Thanks,
/Xu
Comment 6 Gregory Feiner 2008-01-16 10:31:19 EST
The G220E video card is embedded on the system board, it is not an option.  The 
DVD+/-RW is CTO.  We will leverage it from a previous submission.

I am waiting for an answer as to how many usb ports the box actually has.  The 
testing on this box was not done by me, but by another team.

The GB0750C4414 is a SATA hard drive.  It was conneced to the embedded SATA 
controller.  The embedded sata controller is part of the Intel ICH9R 
southbridge chipset.  It supports SATA mode.  The hardware logs I looked at 
indicated the OS properly detected the controller as a SATA controller.  Are 
you saying the drives were not running in SATA mode?  If so,  please tell me 
which log file is telling you this.
Comment 7 Gregory Feiner 2008-01-18 17:36:13 EST
Regarding the USB ports, the spec is in error.  I have informed our 
documentation team to have it corrected. The box has 8 ports (2 front, 4 rear, 
2 internal).

Regarding the embedded SATA controller, it was indeed running in legacy IDE 
mode and it cannot be changed.  A BIOS change is being considered to enable 
native SATA mode.  This submission should be put on hold until a decision is 
made.  I will let you as soon as possible what the decision is.
Comment 8 Xu Bo 2008-01-25 01:49:26 EST
Greory,

>> The box has 8 ports (2 front, 4 rear, 2 internal).
Have updated the test plan to correct the qty of USB ports. Test results look
good to me.

>>Regarding the embedded SATA controller, it was indeed running in legacy IDE 
>>mode and it cannot be changed.  A BIOS change is being considered to enable 
>>native SATA mode.  This submission should be put on hold until a decision is 
>>made.  I will let you as soon as possible what the decision is.

Thanks for you info. Now I will not check the embedded SATA controller boxes in
the test plan till I get the decision in your side.

Thanks,
/Xu
Comment 9 Xu Bo 2008-01-25 01:59:52 EST
Greory,

Need to confirm:

Both "SAS HBA with RAID 0/1" and "HP SC44GE HBA" are leveraged with bug#229540
(HP 8 Internal Port SAS Host Bus Adapter with RAID). So I presume they are
identical devices, right?

Besides, the full virt. tests on 32-bit and 64-bit are still short. All the
other test results look good.

Thanks,
/Xu
Comment 10 Gregory Feiner 2008-01-25 10:34:51 EST
Yes the two adapters are the same.  I will get the virt results to you as soon 
as possible.

Regarding the embedded SATA, the box does support both legacy and native SATA 
mode.  The testers are in the process of rerunning the certification with 
navtive SATA mode enabled for both RHEL4 and RHEL5.  I will upload the results 
as soon as I get them.
Comment 11 Xu Bo 2008-01-27 22:53:50 EST
Gregory,
Thanks for your confirmation and the latest info.

/Xu
Comment 12 Gregory Feiner 2008-01-28 15:38:31 EST
Created attachment 293191 [details]
RHEL 5 32bit native SATA mode

Kernel Version: kernel-xen-2.6.18-53.el5

Results:
----------------
0   PASSED   USB
    PASSED   INFO
    PASSED   VIDEO
    PASSED   STORAGE
    PASSED   NETWORK
    PASSED   MEMORY
    PASSED   CORE
    PASSED   CDROM
Comment 13 Gregory Feiner 2008-01-28 15:39:20 EST
Created attachment 293192 [details]
RHEL 5 64bit native SATA mode

Kernel Version: kernel-xen-2.6.18-53.el5

Results:
----------------
0   PASSED   USB
    PASSED   INFO
    PASSED   VIDEO
    PASSED   STORAGE
    PASSED   NETWORK
    PASSED   MEMORY
    PASSED   CORE
    PASSED   CDROM
Comment 14 Xu Bo 2008-01-28 20:55:33 EST
Gregory,

STORAGE test in Native mode on both 32-bit and 64-bit look good to me. Now all
the test results on Dom0 look good. Now only Fully virtualized test on DomU
(32-bit & 64-bit) are still short.

Thanks,
/Xu
Comment 15 Gregory Feiner 2008-01-29 10:03:32 EST
Xu,

I have confirmed with the BIOS developers that this box does not support 
virtualization.  Although the processors used in the box technically are 
virtualization-capable, HP has permenately disabled virtualization in the BIOS 
and the customer can not turn it on.  This is common practice for 100-series HP 
servers.  These servers are considered low-end.  So there won't be any FV 
results.
Comment 16 Xu Bo 2008-01-30 02:59:02 EST
Gregory,

Ah, thanks for you info. I will remove the Fully virtualized test requests from
the test plan. Please note, in the future, if the BIOS is updated, and the FV
feature is turned on or the customer can turn it in the BIOS, please inform us.
We need to open a new update cert to test the fully virtualized feature and
update this public cert.

Thanks,
/Xu
Comment 18 David Aquilina 2008-02-04 15:22:56 EST
Greg, 

Please note that as VT-x support is disabled in the BIOS and cannot be enabled
by the user, we'll need to see a statement in the quickspecs to that effect. 

-David
Comment 19 Gregory Feiner 2008-02-04 15:47:51 EST
David,

I will pass your request along to the team responsible for the quickspecs.  I 
will attache new quickspecs or provide a web link once the specs are made 
available to me.
Comment 21 Gregory Feiner 2008-02-15 15:45:46 EST
David,

HP has decided to change the BIOS to allow the customer to enable 
virtualization.  We would like you to cancel this submission.  We will redo all 
RHEL5 testing using the new BIOS and submit new logs at a later date.
Comment 23 David Aquilina 2008-02-22 12:05:10 EST
Closing cert request per HP... the BIOS changes are extensive enough that they
would prefer re-running all of the tests. 

Note You need to log in before you can comment on or make changes to this bug.